<?php

    require('../functions/conexion.php');

    $word = $_POST['word'];
    $i=0;
    
	
    $result = query("SELECT compras.id, cin.id 'com_inventario_id', compras.cmp_clave_compra, inv.id 'inv_id', 
                pv.id 'pv_id', tc.id 'tc_id', inv.map_nombre, pv.prv_nombre_proveedor, cin.cin_cantidad cmp_cantidad, 
                cin.cin_precio_unitario cmp_precio_unitario, cin.cin_total cmp_total,  
                compras.cmp_fecha_compra cmp_fecha_creacion, tc.tcm_descripcion, unm.und_descripcion, unm.id 'und_id'
                FROM compras 
                INNER JOIN compras_inventarios as cin on cin.id_compra = compras.id
                INNER JOIN proveedores as pv on pv.id = cin.id_proveedor
                INNER JOIN tipo_compras as tc on tc.id =compras.id_tipo_compra
                INNER JOIN materia_prima as inv on inv.id = cin.id_inventario
                INNER JOIN unidades_medida as unm on unm.id = compras.unidad_medida
                where compras.is_active = 1 order by id");
    while($row = mysqli_fetch_assoc($result)){
        $rowdata[$i] = $row;
        $i++;
    }

    if ($i>0){
        $res =  json_encode($rowdata,JSON_UNESCAPED_UNICODE);
    } else {
        $res =  '[{"id":"0"}]';	
    }
    echo $res;
    
?>